Home  |  Message Board  |  Contact Us  |  About Us  |  Fan Pics  |  Fan Polls  |  RSS Feed  |  Top of Thread  |  Login  |  Register
Display By:
Home  |  Message Board  |  Top of Thread  |  Login  |  Register
Display By:

 

 

Previous Thread   |  Top Of Board  |  Start New Thread  |   Next Thread
pfc123 Posted on 17/05/2019 11:39
Edited On: 17/05/2019 11:40A billionaire owner who won't spend any money
 
 
What's the point of being owned by the Eisner's? Can anyone tell me how we're better off with them? I've completely changed my mind about these tight wads now. No investment in the January window when it was obvious we needed a creative midfielder and a quality striker. No investment in the ground apart from a new screen, a bit of paint and safety work and yet another replacement roof and cladding for the 1925 built South Stand. On the pitch we play sterile 'aim not to lose and try to win 1-0' football, which come the second half of the season everyone else has worked out. No plan B, no set piece routines, no formation changes. Awful to watch at home, really awful, boring watching-paint-dry stuff most of the time. And what next from PFC- they'll tell us what a magnificent season it's been, been to Wembley, been 9 points clear at the top at one point, er, been in the play offs, er, lost in the playoffs, er, going to lose our best players, sorry there's still no ground news, er, er, all in good time, be patient, Rome wasn't built in a day ha ha! Oh, and by the way season tickets are now on sale folks! Gonna be a long, long summer where I for one will be watching very closely for signs of proper investment, not reckless bankruptcy inducing investment, but proper investment that shows the Eisner's are serious. I might then renew.....
IP: Logged
pompeyhighlander Posted on 17/05/2019 12:08

A billionaire owner who won't spend any money

 
If they spanked their own money into sports teams, they wouldn't be billionaires. Why should they?
IP: Logged
sometimeshappy Posted on 17/05/2019 12:41

A billionaire owner who won't spend any money

 
I agree with most of the above except I doubt that they're billionaires. Just not short of a few bob.
IP: Logged
yellowcheesemonkey Posted on 17/05/2019 12:47

A billionaire owner who won't spend any money

 
It depends what currency the billion is in as well.[:D]

Remember a couple of years ago the Zimbarbwe 100-trillion-dollar note was worth just 40 U.S dollars
IP: Logged
Sunderlandfan Posted on 17/05/2019 12:50

A billionaire owner who won't spend any money

 
He is a good mate of mine, well not really but I met him and his family at Traf Square and got a photo with them
IP: Logged
Dunstablue Posted on 17/05/2019 13:13

A billionaire owner who won't spend any money

 
Also a US billion is a thousand million and not a million million. Depends on how you measure! I believe we all adopt the US model now, so billionaires are more common!

Suffice to say they’ve got a few quid and probably keep it that way by not spending frivolously.

I’m not seeing anything different to what they committed to at Guildhall. We had a good run and ended up probably where we should have done, disappointingly whimpering out of the playoffs as we do whenever we get to them!

I’m not sure about the works on the south stand, how long term is renewing the cladding and strengthening the roof to take floodlights? Bear in mind that under Saunders remodel of Fratton, ratified by the handpicked steering commitee, that was the trust model. Only difference was that the advertising boards were all coming off so you could gaze longingly at Leitch’s lattice from the New north stand. The FE was also to be extended and joined to the new North, so that 90% of people could legitimately claim to sit in the Fratton End (and went to the Stockport game!)
IP: Logged
Portseablue Posted on 17/05/2019 13:43

A billionaire owner who won't spend any money

 
Is there much point doing much to the stadium if we're just going to linger in League One? This summer will show the Eisners real intent when we lose our top players, let's see how much gets reinvested into the squad improvement
IP: Logged
pfc123 Posted on 17/05/2019 14:18

A billionaire owner who won't spend any money

 
'Bear in mind that under Saunders remodel of Fratton, ratified by the handpicked steering commitee, that was the trust model.' Well I was on that committee and there were a lot of highly experienced people on it from planners to architects to those of us who'd gone through previous attempts to get us a new home e.g. The Pompey Party. A lot of work went into sizing up the options for a home for PFC. Sadly, it was reported back that just getting a meeting with Eisner's stadium project manager was a painful process and I got the impression they were lukewarm at best towards the report. Not great PR when genuine fans had worked really hard to put together something that would and still could be the basis for finally taking us into the 21st century. The Eisner's tinkering around the edges since has done little to fill me with any confidence that they have Pompey's long term interests at heart. This Summer's activity will say a lot on that score...
IP: Logged
sometimeshappy Posted on 17/05/2019 14:27

A billionaire owner who won't spend any money

 
Don't hold your breath. Remember, brick-by -brick,50 year plan.
IP: Logged
chave Posted on 17/05/2019 14:37

A billionaire owner who won't spend any money

 
The whole point of the Eisner's was they're not going to splash money on us, but want us to grow sustainably. Pretty sure that's what everyone wanted a few years back - the same as the trust model, but with a bit of extra finance when needed for the stadium.
IP: Logged
MilkinsMagic Posted on 17/05/2019 15:25

A billionaire owner who won't spend any money

 
I think that hits the nail on the head.

The Eisner's approach is pretty much the same as when we, via the Trust owned the club, even to the make-do-and-mend approach to Fratton Park.

Their "eat what we kill" pitch was attractive at the time but did any of those in favour of the sale really expect such little progress to be made in the first two years of the Eisner era? The Trust was limited by funds. It seems that the Eisners are limited by their willingness to spend on the infrastructure the club desperately needs. We were a well run and stable club in 2017. How much better run or more stable are we really now?

While it is probably a little too early and unfair to use the term "pound-shop billionaires", it is looking unlikely that we shall ever see them make substantial investment in the ground. You know, the big ticket items like rotating the ground, or building a new North stand etc. The sort of stuff the Trust could probably never have managed but we might have hoped that wealthy, benevolent and active owner, like John W Henry at Liverpool for example, could have got on with. It's on a different scale but the example and contrast stands.

At some stage in the future (perhaps when the old man pops off or Eric gets bored) we'll likely be sold off to the highest bidder and will have to hope it's not like some of our previous owners.

The shame of this is that we used to control the destiny of the club. If you want to know how close it all came to tears last time we were in that situation I'd recommend getting along to see "Our Club" at the No6 Cinema.

IP: Logged
chave Posted on 17/05/2019 15:30

A billionaire owner who won't spend any money

 
Any club with a wealthy benefactor will pay for it in the end, whether they want their money back or, if they truly are purely altruistic like Jack Walker at Blackburn, when they die and can't be replaced.
IP: Logged
yellowcheesemonkey Posted on 17/05/2019 16:28
Edited On: 17/05/2019 16:29
A billionaire owner who won't spend any money

 
Chave [^]
Look at Bolton, really paying in spades now
Post Eddie Davies
Bankrolled them to success, wrote off huge loans when he sold the club and even loaned them 5 million on his death bed to try to save them.
And even having an altruistic benefactor like that wasnt enough.

If you have a sugar daddy who cares, it just seems to take a bit longer to f*k up thats all
Pompey just did it quicker because of all the of W*nkers who f*cked us up.
IP: Logged
Ghost_of_DeepBlue Posted on 17/05/2019 16:59
Edited On: 17/05/2019 19:19
A billionaire owner who won't spend any money

 
On a point of order we are run by the Eisners in as much as they have a majority on the board, but we are not owned by the Eisners. We are owned by Tornante, who are in turn owned by the Eisners but who are not a particularly cash-rich company. Certainly not in the billions bracket.

The were voted in as buyers of the club on a ticket of slow sustainable growth with the team funding largely 'eating what it kills' and with the cash investment that the Trust could not afford going in to the ground,with an estimated 5m over the next three or four years needed just to stay open. They have stuck to their word to the letter but still some people are moaning that we are not building up massive debts again by spending on the team, as if recent history taught us nothing.
IP: Logged
Alcopops Posted on 17/05/2019 17:06

A billionaire owner who won't spend any money

 
Moving the flood lights and XXXXXXing about with the corners is a joke.The club needs a championship quality ground in readiness for promotion.Refreshmnet kiosks are a joke.Every ground I have been to manage to cope at half time with fans in search of refreshment.
Why cant they show what their intents are with the ground?
The squad will need drastic improvement in the summer if we are to compete for promotion.We are where we are because we deserve to be there.
Terrible mistakes were made in January with recruitment.Lets not repeat them.
Investment required from our owners to achieve these aims
IP: Logged
Portseablue Posted on 17/05/2019 17:29

A billionaire owner who won't spend any money

 
The problem is the softly, softly approach isn't getting us anywhere. Granted, some of that is down to the manager but looking for bargains isn't always going to find us gems. No surprise to see you backing the Eisners Deep, you think Hawkins is a good player [cr]
IP: Logged
Bluetag Posted on 17/05/2019 17:41

A billionaire owner who won't spend any money

 
I'm happy with the investment in the players plus the cash from transfers. However,FP needs sorted asap if we're serious of going up, (get the seating up to 25k at least, preferably 30K+, sort out the refreshment and concourse areas) if it means losing an Archibald Leitch stand, who really gives a Fk?
IP: Logged
Scottsdale_Pompey Posted on 17/05/2019 18:05

A billionaire owner who won't spend any money

 
Alcs, with Thompson, Clarke and Lowe probably packing their bags this summer the squad is going to need many additions just for them to tread water next season.

To improve, its going to need a hell of a lot of cash spending. I can’t see it happening.

As for the ground, people better temper expectations. Fratton will get a couple of filled in corners and if they’re lucky there’ll be a lick of paint around the place.

But at least we’ve got a big scoreboard and new cladding and roof on the south stand.
IP: Logged
Scottsdale_Pompey Posted on 17/05/2019 18:35

A billionaire owner who won't spend any money

 
Deep, sustainable debt and reckless debt are entirely different. Practically every major business has sustainable debt at some level - it’s how most invest in their operations.

Do you really think clubs at our level improve stadiums with only the money stashed away in their piggy banks?

Honestly, in your self-appointment as board contrarian you make yourself look a bit of a prat at times. We all know you’re a know it all, but a bit of subject knowledge wouldn’t go amiss occasionally.

Eating what you kill keeps you fed, but no more than that.
IP: Logged
chave Posted on 17/05/2019 19:03

A billionaire owner who won't spend any money

 
Until Sunderland bought Grigg on deadline day, I think we were the highest spenders in the league. Not sure where this idea we won't spend on player's has come from...
IP: Logged
blueshark Posted on 17/05/2019 19:28

A billionaire owner who won't spend any money

 
Chave, I doubt that very much. Peterborough spunked big money on about 4 strikers last summer. In fact 650k on Toney alone.
IP: Logged
Isaac-Hunt Posted on 17/05/2019 19:29

A billionaire owner who won't spend any money

 
I refer you also to Eisners preference of organic growth.
What is the point of having an academy if we don't use any of the products.
IP: Logged
sometimeshappy Posted on 17/05/2019 20:11

A billionaire owner who won't spend any money

 
The product has to be good enough of course.
IP: Logged
Gulf_of_Tonking Posted on 17/05/2019 20:23

A billionaire owner who won't spend any money

 
I imagine that the Eisners will be quite happy with this season. A higher league finish, a wembley final, and higher attendances. I dont think they wanted to go up too soon which may be related to bringing on more youth products.

The lack of info on the ground is slightly dissappointing, but that is how they want to play it. Most Pompey fans just want to see a half decent long term plan, and we will see over the summer what is in store.

a. Just filling the corners in with no long term plan.
b. filling in the corners in with a longer term plan that also includes moving the pitch northwards.
c. rotation.

I think we all know what the best long term option is in terms of final capacity. I just hope that option A isnt where we are going
IP: Logged
TamponKid Posted on 17/05/2019 20:40

A billionaire owner who won't spend any money

 
B0ll0x chave. Luton. Posh. Sunderland. Coventey all of the top of my head spent more than pompey.
IP: Logged
Ghost_of_DeepBlue Posted on 17/05/2019 21:11

A billionaire owner who won't spend any money

 
In January ?
IP: Logged
pfc_blues Posted on 17/05/2019 21:21

A billionaire owner who won't spend any money

 
Who did we spend money on? Cannon and Morris only ones of the top of my head?

I reckon cannon might be alrite if he can get fit and have a good pre season. Haven't seen enough of him to really write him off yet.
IP: Logged
chrismilanman Posted on 17/05/2019 21:45

A billionaire owner who won't spend any money

 
Look Plymouth having gone down are building a new stand, Luton a new stadium Wombles are preparing to move into their new stadium etc. And Portsmouth?

Fill in the corners. Humm pretty impressive.

Which ever way you look at it there is no plan apart from sticking a floodlight in the car park.

I mean I don't mind the board being careful and frugal as a Scot but this really shows lack of ambition on and off the field but we are Portsmouth fans and are used to suffering so we have to get our heads down in the trenches and put up with the stadium as it is and the play at home that we have had to endure, I think that is the right word.
IP: Logged
exgaffer Posted on 18/05/2019 09:11

A billionaire owner who won't spend any money

 
None of the grounds you mention will be a patch on Fratton Park and that’s a fact.

Why this obsession with new fecking grounds?

We needed a new owner because we couldn’t even afford to keep the ground safe, let alone improve it.

The Eisners are good owners are are doing what they said they would do.

Try having a word with Bolton fans about new grounds and ambition.[8D]
IP: Logged
Spartansreturn Posted on 18/05/2019 09:24

A billionaire owner who won't spend any money

 
We all voted them in and remember Rome wasn't built in a day. What is frustrating is their openness about their plans seeing they believed in our community spirit
IP: Logged
pfc123 Posted on 18/05/2019 10:06

A billionaire owner who won't spend any money

 
‘Why this obsession with new fecking grounds?‘

Because almost every club that has either radically refurbished or built a new ground has gained in so many ways. A minimum of 10,000 extra fans attending games, corporate income, concert and event income, vastly improved catering, better seating, a better view, I could go on and on. We’re playing football in an antique ‘stadium’ that’s utterly worn out. And new grounds DO have atmosphere if they’re built correctly and have a decent fanbase. Time to move on, time to build the club like you said you would Mr Eisner.
IP: Logged
chave Posted on 18/05/2019 10:57

A billionaire owner who won't spend any money

 
Apologies, meant net spend. Without accurate figures, not sure whether we spent more than Coventry, Peterborough etc, however they funded that with sales. Pretty sure Luton didn't outspend us,but not 100%

IP: Logged
tricky_ricky_pfc Posted on 18/05/2019 11:02

A billionaire owner who won't spend any money

 
Point of order, no one in the history of the world has been a billionaire based on the British definition i.e. a million million.

Thought the Eisners were dollar billionaires which equates to about £780m based on today’s exchange rate.
IP: Logged
jizzbag Posted on 18/05/2019 11:47

A billionaire owner who won't spend any money

 
Walking (well trying to walk) through the Fratton end concourse at half time on thurs I thought to myself that it was like going back in time. Could hardly move, jostled all over the place, no chance of getting any refreshment unless I wanted to miss the last 8 mins of the 1st half or the beginning of the 2nd. And it's the same in the North Stand. Really?? In the 21st Century!

Now I love Fratton Park...been going since 1970 but the ground has had it for me, massive improvements needed or relocate next door. Knock Tesco down and build something decent.

If the Eisners won't do it let's find some investor who will.

I know it's obviously not on the same scale but the Wembley experience for me was brilliant. How many more fans would we have if the facilities were even remotely anything like that.

Time for Tornante to get serious or find someone else who will.
IP: Logged
exgaffer Posted on 18/05/2019 11:50

A billionaire owner who won't spend any money

 
New stadiums are, for the most part, sterile, just pop down the road for a good example.

I go to watch football in a great atmosphere, that’s it. The catering, toilets and all the rest are of marginal (at best) interest to me.

As for some of the grounds you mention, they haven’t got room for 10,000 extra seats.

I admit that Spuds new ground is excellent but we haven’t got a spare billion have we?

A lot of clubs find that building a nice new stadium away from the team’s traditional area leads to smaller crowds, not bigger ones.

Gradual development at FP is the way to go for us.
IP: Logged
Dunstablue Posted on 18/05/2019 13:01

A billionaire owner who won't spend any money

 
I agree, Fratton can be modernised and made more user friendly. Probably not on the current footprint though. There is no need to move out of town, but maybe 500 yards North! Fratton needs to stand on it’s own two feet. The experience used to be backed up by loads of great pubs around the ground. They’ve gone, turned into flats or mini markets. I get the train in now and invariably go to Gunwharf pre-match because there’s just not much near the ground and certainly nothing in it that you’d want to eat or drink. Fella next to me has about four pints before getting to the ground so he can’t taste the food he’s eating!
IP: Logged
chatter-box Posted on 18/05/2019 13:03

A billionaire owner who won't spend any money

 
Have you ever sat in the NS upper or used the facilities in that stand.

I don't think Mr Eisner would take his family up there especially if they needed to use the CXXXXXXy.

The main thing that gets me is he won't even tell us the plan. It must be well over a year since he had these so called top architects to survey FP and visiting all these grounds in Europe etc.

He did promise transparency!!
IP: Logged
pompeyhighlander Posted on 18/05/2019 14:39

A billionaire owner who won't spend any money

 
I think you get used to Fratton if you are a regular. When I visit as an exile, I find parts of the ground pretty awful. ME is just not good enough. I often wonder how long it would take to get out of SS or NSU in an emergency. Someone needs to take an immediate decision to relocate or to build a new FP. Yes, most new grounds lack atmosphere. Safety of supporters and of players and officials is more important than atmosphere. Players don't fall into the crowd and get attacked by XXXXXXs in a new stadium, unlike the recent incident in NSL.
IP: Logged
BilltheCat Posted on 18/05/2019 15:18

A billionaire owner who won't spend any money

 
Did we b0ll0cks, Spartansreturn!

Many of us voted to stay with community ownership which would have achieved exactly the same results.

The "septics" never said they'd spend money and they have been true to their word. In fact of the £10 million they were obliged to put in £7 million has been taken out again!

They've had a very good year. A Wembley final (ching-ching!), not getting promotion therefore no more investment needed (ching-ching!) and the, almost certain, sale of our best assets (ching-ching!)
IP: Logged
exgaffer Posted on 18/05/2019 15:31

A billionaire owner who won't spend any money

 
That’s bollox Highlander, FP is very safe indeed, regularly inspected and safer than at any time in the 60 years I’ve been visiting it. I’ve just watched the supposed ‘punched and kicked’ incident and the Sunderland player got straight back on the pitch looking perfectly happy. If he’d been ‘attacked’ he’d have reacted very differently. Still, never let the facts get on the way of a good story eh? Ever thought of a job with the BullXXXXXX Broadcasting Corporation?

Life is about experiences, and they are rapidly being neutralised by excessive health and safety. Life is only any good if you can live it ffs. You have more chance of being killed in your house, or walking down the street than attending FP, so stop being ridiculous.

As for Dunstable, if you prefer Gunwharf as a pre-match experience I pity you. It’s a bland, designer outlet abomination, much like a lot of new stadiums in fact 😎. If you care to look, there are still some good boozers within walking distance of FP. You don’t go to the football to ‘taste the food’ ffs, you have a few pints and support your team for a couple of hours. Sounds like the bloke next to you has the right idea.
IP: Logged
Bluenote Posted on 18/05/2019 15:37

A billionaire owner who won't spend any money

 
Oh fvck - I agree with gaffer.....
IP: Logged
Dunstablue Posted on 18/05/2019 15:57

A billionaire owner who won't spend any money

 
Used to go to the Devonshire before it closed and the Golden Eagle, but then I lived in Southsea and walked to the game. Having moved, I now use the train. I didn’t say I preferred Gunwharf, merely that it’s easiest, particularly as there isn’t much around the ground now. You’re right, I don’t go to football to taste the food, i go to watch the game, but if you’re out for the day, the game and the evening then I do like to eat at some point. The point is, it wouldn’t take much for the club to sort it out and it would increase match day revenue.

IP: Logged
pompeyhighlander Posted on 18/05/2019 16:17
Edited On: 18/05/2019 16:45
A billionaire owner who won't spend any money

 
Gaffer if you really believe that it's OK to have stadiums designed in a way that players can quite easily fall into the crowd you need to wise up. It's not excessive H & S. It's just common sense. Wooden stands? No thanks.
IP: Logged
Bluenote Posted on 18/05/2019 16:19

A billionaire owner who won't spend any money

 
I don’t recall anybody else falling into the crowd all season. Or last season come to that.
IP: Logged
blueshark Posted on 18/05/2019 16:28

A billionaire owner who won't spend any money

 
BilltheCat, 80 to 20% in favour wasn't it. That's pretty unanimous.
Gaffer, the ME is no longer fit for purpose, the SS with that one narrow passageway isn't ideal & the NS was only meant to be temporary anyway. I admire your loyalty but mate things have to change for our children, grandchildren etc. I agree FP is probably safer now than ever but we need more seats for the future Pompey fans.
I don't go for a pie or a drink but things have moved on, expectations on what should be there facility wise are higher. Its just the way things are.
IP: Logged
pfc123 Posted on 18/05/2019 20:38
Edited On: 18/05/2019 20:38
A billionaire owner who won't spend any money

 
Yep, Blueshark you're right. If you're knocking on a bit you are used to having a pee in a bog swimming in XXXXXX, being manhandled as you try to get to your seat past the shockingly poor snack bar, and sitting in a wooden stand that was erected in 1925. The kids won't accept such poor facilities now and I don't blame them. They want a decent seat with good legroom, a bar that can be reached at half time that serves good food an drinks and a view of the pitch that isn't obscured by an upright that holds the whole shambling wreck upright. And as for the idea that all new grounds are soul-less bowls, they're clearly not otherwise people wouldn't attend them would they? Design it right, with good acoustics and we'll gain an extra 10,000 bums on seats overnight. It's a no brainer, it really is- unless you're an owner who doesn't want to spend any money and you'd rather keep it as a reminder of Merrie Old England?
IP: Logged
bluebob Posted on 18/05/2019 21:11

A billionaire owner who won't spend any money

 
The problem we have is we need a 30k + stadium to compete in the championship or stay as we are and season tickets will have to be in the region of £700 to pay for the high wages with the average being in the region of 15k a week should we get promoted. Or be bankrolled by a very rich individual and with great respect I do not think the Eisners are that, rich maybe but now a days you do need to be very seriously minted.
Personally I would like the owners to come out and be honest with us and tell it how it is. And yes before Deep the official Pompey spokesman jumps down my throat they did say it will be a slow process brick by brick. But I’m sure the majority of fans would appreciate after 2 years in how they see things panning out.
Also I believe Portsmouth City Council should find ways to help to financially help the club as we are a very big part of the community.
IP: Logged
exgaffer Posted on 18/05/2019 23:22

A billionaire owner who won't spend any money

 
I love all this ‘the youth of today are such a bunch of soft fecking snowflakes that they must have comfy seats with lots of legroom, nice bogs and gourmet food’ bollox. [cr][cr][cr]

Contrary to popular belief, some of the lads I go to FP with are young.

Surprise, surprise, they like a pint, they really envy us old gits our terraces and they love FP.

If you want a gentle experience go to the fecking ballet, if you want a decent football experience, that is famous the world over, go to FP.

Obviously the ground can be updated and the capacity increased, but we should resist a modern flat pack with every fibre of our being.

I AM thinking about the children and grandchildren, we should not deprive them of that special Fratton experience. It really IS worth preserving.
IP: Logged
chatter-box Posted on 19/05/2019 00:25

A billionaire owner who won't spend any money

 
You really are a dinosaur. Only the mentally insane would be happy with the NS. I'd say it's verging on the structurally unsafe.
If Mr E is serious about FP he'd have made an announcement by now. After all he's had his top architects checking loads of grounds in and around Europe and done his surveying of FP but still nothing is happening.
IP: Logged
cunninglinguist Posted on 19/05/2019 07:32

A billionaire owner who won't spend any money

 
It's all a load of cobblers.

We just need a reasonable size stadium that we can regularly fill.
Fratton park is the best place to be and it has a charm all of its own. It obviously needs tweaking but I have no wish to just throw away antiquity for the sake of a shiny burger bar and a polished lav!

I go to games to be entertained, FFS. That's what needs improving.

If you've got time to worry about your surroundings then what's happening on the pitch is obviously not good enough!
IP: Logged
chatter-box Posted on 19/05/2019 10:02

A billionaire owner who won't spend any money

 


He's putting a new roof on the SS, Add a lick of paint here and there. Take the floodlights down and fill in the sides. Thats yer lot.

The NS needs knocking down. Not to mention the milton end and SS.

No plans announced. Weve got ouselves another buller. End of.
IP: Logged
jizzbag Posted on 19/05/2019 10:50

A billionaire owner who won't spend any money

 
Blimey! I thought I was a dinosaur!! The famous Fratton atmosphere, is that like the famous Leeds atmosphere or the famous Liverpool atmosphere?? Do they have to put up with sh1te facilities like we do?

It's a terrible stadium and belongs in the last century. And I've loved it my entire life but it's time to move with the times. If we want to be competing near the top end of the Championship we need a stadium to match our ambitions. You simply can't have a tarted up Fratton Park with it's wooden stands and fecking stantions blocking peoples views for the next 50 years.

We must be one of the few clubs in the entire league who still have an antiquated stadium, if the Eisners have any ambition for our club at all they need to sort out the stadium properly, not just bugger about with a big screen etc.
IP: Logged
chatter-box Posted on 19/05/2019 11:01

A billionaire owner who won't spend any money

 
its along the lines of Milan M. ME says he's had the top architect looking at FP. His top men have looked at grounds all over europe. still no news. as i said we got ourselves another buller
IP: Logged
Gulf_of_Tonking Posted on 19/05/2019 11:09

A billionaire owner who won't spend any money

 
Most fans probably think we will be keeping the Fratton End and most if not all of the South stand. Augmenting these with new facilities will be a major improvement - and we get to keep a bit of the old. What's not to like?

The problem being that we haven't any new facilities for decades, and won't believe it till we see it, and we have had so many liars in charge at Pompey it is untrue. If fans don't see something start to materialise this summer - I think more fans will become more cynical and will start to question what is going on. It could get very noisy.
IP: Logged
exgaffer Posted on 19/05/2019 12:56

A billionaire owner who won't spend any money

 
Ha ha ha, the dinosaurs ruled the Earth for a vastly longer time than we have, or are likely to. [cr].

People actually come from other parts of the world to experience FP. Seems like some of our locals fail to appreciate what they have. I’ve often wondered what it is about Pompey that makes people so unappreciative of our heritage. The number of lovely buildings that have been lost, with barely a whimper of protest, is tragic. If it takes a few minutes to buy a burger, however, the wails if protest are deafening.

Fecking Philistines. [|)]
IP: Logged
cunninglinguist Posted on 19/05/2019 12:56

A billionaire owner who won't spend any money

 
Depends what happens on the pitch. People always like something to moan about.
We didn't get promotion so hence this thread.
IP: Logged
popsicalpompey92 Posted on 19/05/2019 13:49

The reality of where Pompey are now

 
The Eisner's never said they would spend lots of money and they haven't.
They did mention transparency going forward, as they have told us pretty much nothing new for quite some time one assumes that we are not "going forward" particularly quickly. That will not please some of the fans.
Some fans will want a big visible investment to show intent. This was never promised, so those fans are going to be unhappy.
FP needs more than a casual makeover, on that I think we all agree. The Eisner's are making modest improvements to the ground. This could be for one of two reasons: 1) they do not want to spend too much now, when they intend to flatten some of the ground and rebuild later (or moving). 2) they have no intention of spending more than necessary to keep the old girl safe.
The problem with either of these plans is twofold also: 1) we have had so many shysters owning the club selling pipe dreams and telling porky pies that we do not trust owners easily, and so need to see results to believe. 2) How long is a "long term" plan? If it is too long (and who says what too long is?), many fans will continue to be disaffected or even lost to the club.
The issue could be solved by "transparency" over the future which is what has been promised. The problem is that we still have no idea what is going to happen.
It is likely that our best players will move on this summer, that happens at almost all clubs outside the top six in the plastic Prem.
I can live with that.
It is more than likely that we will have another season of Jackettball as he has been successful.
I will have to live with that.
It is more than likely that nothing will be said as regard to long term plans for FP.
I just have to put up with that and accept that in that regard nothing has changed in my lifetime.
The problem with the last of those is that we were told that we would kept informed of plans for FP, so it appears there are no plans for FP other than minor tweaks to keep the old girl going.
That is not what a lot of fans want to hear.
IP: Logged
Bluenote Posted on 19/05/2019 14:33

The reality of where Pompey are now

 
Most people were swayed a couple of years back by the line that the Old Girl was about to fall down and the Trust would never be able to remedy that. Giles in particular had lots of fun with those of us who didn’t buy that . Given that, there now seem like three options:
1: The ground isn’t falling down, the club was bought under false pretences and the Eisner’s will just tweak at their leisure.
2: It is falling down but the Eisner’s are only prepared to patch it up
3: it is falling down and the Eisner’s have a substantial long term plan for it which they don’t wish to reveal.
Carlin has said that 3 is the case and I’d like to believe him but I suspect 1 will be closer to the truth.
IP: Logged
Bluenote Posted on 19/05/2019 14:34

The reality of where Pompey are now

 
oops....just realised 1&2 are the same.
IP: Logged
Scottsdale_Pompey Posted on 19/05/2019 15:37
Edited On: 19/05/2019 15:40
The reality of where Pompey are now

 
Bluenote, you’ve almost certainly hit the nail on the head with 1&2. Just seemed mighty coincidental that Caitlin mentioned the ground was falling down around him at the time negotiations with Tornante started (which weren’t made public for another month or so). Miraculously, the Eisners and their holding company swooped down to rescue the old girl.

I’m surprised the supporters who met with Eric and Andy Redman recently haven’t let on what was discussed. A cynic would think they’d had to sign an NDA.
IP: Logged
Gulf_of_Tonking Posted on 21/05/2019 21:19

The reality of where Pompey are now

 
A fine overview with photos of FP

Link: Iconic - apparently
IP: Logged
chrismilanman Posted on 21/05/2019 22:04

The reality of where Pompey are now

 
I would look for the Eisners and Andy Redman to book an end of term conference at the Guildhall. Like a public company spill their beans on their ideas road map on and off the pitch. They were so keen to do this when us PST holders had to vote. Now I think they should do this again.

We want to be inclusive as we were before, we are not asking for them to give away secrets just keep us in the loop.

We'll see but I am not holding my breath.
IP: Logged
pfc123 Posted on 23/05/2019 23:35

The reality of where Pompey are now

 
With a heavy heart, I've decided not to renew my ST unless I see signs of some serious commitment to PFC by the Eisner's this summer. I'm really lucky in that I have plenty of other interests and hobbies that could occupy my time on a Saturday afternoon. What I haven't got time for is this 'organic growth' malarkey. I'm 54 now and seeing us punch way BELOW our weight in lowly League 1 isn't really my idea of entertainment anymore. I suspect most will renew whatever happens, and fair play to them for queueing up for another season of underachievement, but if it's going to be like this last season (and yes the Checkatrade was a nice day out) it's not enough for me now, and I've been going since 1974, and been a ST holder since 1983. Somehow the disappointment feels deeper this year than for any other I can remember for some reason.
IP: Logged
chrismilanman Posted on 24/05/2019 01:10

The reality of where Pompey are now

 
Agree PFC, this is not 2013 when we were sending in our money, funding Roko and waving our buckets to get coins, what a dream it was delivered In 2017 we sold our dream to these silent men.

Yes looks like the model railway is going to get a lot more attention to the delight of my grandchildren on a Saturday afternoon next term. And honestly I am not complaining too much, so no the iplayer subscription will have to wait until the season is well underway.
IP: Logged
Gooders Posted on 24/05/2019 10:21

A billionaire owner who won't spend any money

 
A billionaire owner who won't spend any money, should this not have added to it..... over and above what we bring in in revenue?

Because guys for those of you who voted them in that is exactly what they have promised. So why would anyone now moan that they are keeping to their plan.

The only time we can now hold them to task is if they dont stay on point.

Or did some of you secretly hope that they would not keep their word but spunk millions of their own money on chasing the dream, if you did more shame you.
IP: Logged
scooter62 Posted on 24/05/2019 11:31

A billionaire owner who won't spend any money

 
I can only speak from a personal point of view but 3 generations of us including 6, 8 & 11 year olds still love going to footie at FP and couldn’t give a flying toss about having toilets that clean your a**e for you or Jamie Oliver poncing about in the food kiosks.
IP: Logged
Isaac-Hunt Posted on 24/05/2019 13:49

A billionaire owner who won't spend any money

 
I don't think anyone is asking the owners to spunk millions...we've been there ,done that.
But would have been nice to spend SOME money in an attempt to build a team capable of promotion and not relying on selling good to buy mediocre.
IP: Logged
Gulf_of_Tonking Posted on 24/05/2019 18:58

A billionaire owner who won't spend any money

 
I've heard that Mike Saunders has had a meltdown on twitter. Anyone got a link?
IP: Logged
Wayno Posted on 26/05/2019 19:36

A billionaire owner who won't spend any money

 
Whats his twitter name?
IP: Logged
oi_oi_saveloy Posted on 26/05/2019 23:02

A billionaire owner who won't spend any money

 
Dinlo
IP: Logged
oi_oi_saveloy Posted on 26/05/2019 23:12

A billionaire owner who won't spend any money

 
Gary Saunders knows more about architecture than that idiot.
IP: Logged
Gulf_of_Tonking Posted on 27/05/2019 02:06

A billionaire owner who won't spend any money

 
Not sure Wayno, just heard the rumour, lop-sided guru ... maybe?

Gary Saunders - lol.
IP: Logged
twoteefus Posted on 27/05/2019 07:49

A billionaire owner who won't spend any money

 
Tornante are doing exactly as they said they would in building a self sustaining club. There has been significant investment in the infrastructure of the club as promised.

I would much rather they took a great deal of time to explore and cost all the possible options regarding the stadium. It's a complicated project and a really expensive capital investment. Better that than putting forward ridiculous visions of fantasy stadia or showboating in a JCB.

I voted for them and so far I am happy with what they have delivered. Short termism nearly ended this club on a number of occasions. Perhaps this is the right way.

I can understand the frustration on the lack of news lately so agree that the time is right for a fans forum meeting with the owners. They don't have to but it would be nice.

I'll be renewing my season ticket as, year on year, this club has improved it's position in the league since Tornante took over and, year on year, they have improved the infrastructure. Despite the enthusiasm and genuine love for club this is not something I believe the trust had the experience or financial clout to do.
IP: Logged
Gulf_of_Tonking Posted on 28/05/2019 19:08

A billionaire owner who won't spend any money

 
Here is the apparent Saunders post: ref Graham Underwood - and now for the truth which blows your post out of the water.


" The ground has been made good with £2m worth of work in the last two years. £1m of that came from the departing Community Club escrow account - inherited as an asset bought by Tornante.

The ground was not falling apart. I have the structural report that doesn’t say it is. I stood on the stage of the Guildhall after the Eisner’s pitch and explained in detail the misleading information being put forward by some within the club. That ‘news’ that £5m was needed was put out by the CEO of the selling club. Why would you devalue your asset when selling? Easy, because he knew he was on to an earner and would retain his position with a ‘thank you’. In fact PFC wasn’t up for sale until Catlin went courting prospective buyers.

The result of such scaremongering was to force the shareholders to sell the club for the same price paid four years earlier when the club didn’t have a player on its books. A business which had since built a £1.2m training ground, gained 2 acres of land behind the north stand, put in new floodlights and pitch whilst increasing the capacity from 16,000 to 19,000 and had invested the £3m Tesco money.

The ground needed the £1m works, but if things were so dire, why did the club buy the building which became the club shop for £300k months before the takeover bid? Because things were not as bad as being portrayed.

That has been proved by the fact Tornante are not having to spend £5m on the ground, the works are far lower than that and are ongoing maintenance as opposed stand condemning threats.

What PFC needed in 2017 was not a buyer stating he’d be frugal and not invest money, we needed decent investment. That didn’t need to mean selling up. There were other routes starting with a new share issue, not aimed at ‘fans’ but aimed at the Presidents (many of whom wanted to invest more seeing the value of their investment had doubled in 4 years) plus new investors. Pompey were an attractive vehicle. Debt free, owning its own ground - the very reasons the likes of Eisner were sniffing.

Make no mistake, fans were misled by Execs at rhe club who assisted the buyer and kept their positions in the new set up. The truth is, they sold the fan ownership ethos down the river, handing the club for half its value to people who have seen that purchase probably worth 4 tines what they paid, mainly due to the foundations put in by the fan ownership era. They don’t need to put money in when they are getting such a return, hence the reluctance to give PFC what it really needs which is the investment to rebuild the ground.

At the PST meeting the week after the Guildhall, it was stated the £10m in the bank was a condition of sale. Two years later we are now told only £3m sits in PFC’s accounts, the rest having been transferred back to Tornante.

This was all being questioned back in 2017, but sadly, as you have done with your post, too many fell for the ‘Disney’ pitch and Tornante’s slick PR team which ensured they got the club for £5.67m despite it being valued at £10m the year before.

A rotten deal, with buyers who were proposing to NOT invest and hiding behind the awful events of our past as an excuse to do so. No one wants PFC having stupid money spent on it, however we should all be demanding the club has the serious investment needed to just put it on a par with comparable clubs".



Make your own mind up. a few serious points?
IP: Logged
oi_oi_saveloy Posted on 28/05/2019 19:14

A billionaire owner who won't spend any money

 
Regardless of whether selling to the Eisners was a good thing or a bad thing I wouldn’t listen to or believe a thing that idiot says.
His ego got hurt that’s it and in the end that was one of the problems too many egos.
IP: Logged
chatter-box Posted on 28/05/2019 19:20

A billionaire owner who won't spend any money

 


Blimey that's a bit strong.
IP: Logged
Dunstablue Posted on 28/05/2019 19:24
Edited On: 28/05/2019 19:25
A billionaire owner who won't spend any money

 
The club was”got” for £5.67m because of how the trust shares were set up as not for profit though.

Another point I struggle with is that if the presidents were proposing another share issue, effectively as an alternate bid to the Eisner’s, why was that not put forward? How can you have a go at a slick PR machine when if the alternative was put forward, I have no recollection of it. Again, rich to call the Eisner family as lacking transparency when it appears that there was a whole other sub-plot being developed within the trust, shame nobody else knew.

We are where we are, I haven’t seen anything that’s ringing alarm bells with me. I decided to sell my share for the £1000 that it had to be sold for and I still think it was the right thing to do.
IP: Logged
Gulf_of_Tonking Posted on 28/05/2019 19:24

A billionaire owner who won't spend any money

 
The trust really messed up with their 'model' of communication. They had the old red eye chap getting angry with people on the Snooze, then they had their mode of investment which wouldn't consider alternative smaller investment ideas, and then the architect who wouldn't consider any other options other than his own. In the end too many people with real faith in the whole ethos of the project lost faith in their ability to move forward.

Still, it served it's purpose at the time, and Saunders getting the 13m behind the FE has to be a crucial bit of the whole jigsaw.
IP: Logged
chatter-box Posted on 28/05/2019 19:35

A billionaire owner who won't spend any money

 
Is Mr Eisner going to do the Park up or what?
IP: Logged
Gulf_of_Tonking Posted on 28/05/2019 19:37

The reality of where Pompey are now

 
"We continue to work with the architects, the contractors, and the city council in realizing our Fratton Park vision".

The summer should be very revealing.
IP: Logged
Dunstablue Posted on 28/05/2019 19:38

A billionaire owner who won't spend any money

 
Thank’s for that GoT. Did he get hacked by Joe Myclutchbroke?
[?][?]
IP: Logged
smirnoffexpress Posted on 28/05/2019 19:50

A billionaire owner who won't spend any money

 
At least the Eisners were honest in just how they were going to rump us. Right from the off they said that they would not be spending to try and achieve fast success. If they had stated that our budget would be no bigger than if we had stayed community owned, how many would have voted away their share so cheaply.
IP: Logged
CountVonCount Posted on 28/05/2019 22:04

A billionaire owner who won't spend any money

 
So if that part about the £10 million and the £3 million is true presumably the club will want to explain why it’s so.

If it’s not true I would expect the club to ask for it to be taken down and an apology issued.

IP: Logged
BilltheCat Posted on 28/05/2019 22:30

A billionaire owner who won't spend any money

 
[^] smirnoffexpress
IP: Logged
pfc123 Posted on 29/05/2019 03:27

A billionaire owner who won't spend any money

 
‘They had.....the architect who wouldn't consider any other options other than his own’.

Smirnoff Express, what do you mean by this comment?
IP: Logged
exgaffer Posted on 29/05/2019 11:19

The reality of where Pompey are now

 
So let's get this straight.

There are 'fans' who would rather do other things on a Saturday because our owner, who specifically stated that he wouldn't spunk loads of cash, won't spunk loads of cash.

One of them is 54 ffs, better phone the undertaker then [:D].

You are obviously not actual fans but casual observers who pop along when there is glory to be had.

Meanwhile the rest of us will buy our tickets and carry on supporting our team as normal.
IP: Logged
BilltheCat Posted on 29/05/2019 11:38

A billionaire owner who won't spend any money

 
All the people I know who voted against relinquishing fan ownership have been saying pretty much the same thing.

Where did you glean the Saunders post, out of interest, GoT?

(And, Gaffer, I'm a ST holder still, and go to Fratton for practically every game - and a great many away fixtures too!)
IP: Logged
Gooders Posted on 29/05/2019 13:28

A billionaire owner who won't spend any money

 
BTC
The main reason why I did not vote for Eisners was I truly believed that the club under fan ownership could get to championship debt free and owning our own ground.
At that Point I would have hoped we could then look for a serious partner to pump money in on a JOINT VENTURE as we would be a good bet for investment AT THAT POINT IN TIME ONLY.

Still its done now and even though I was anti them coming they have kept to their promises to date. But I will not be kissing their collective a-s-s-e-s just yet I fear that getting to the championship they could very well sell us out at that point and make a F-C-U-K-I-N-G- KILLING TO top up their already large bank accounts, after all they are business men first and foremost.

Still will make a change to be screwed over by owners wont it!!!! At least if that happens they do it from a position of strength as opposed to the other showers that screwed us from a position of near collapse.
IP: Logged
Portseablue Posted on 29/05/2019 14:23

A billionaire owner who won't spend any money

 
You'll probably find many of us that would like to see an increase in the transfer budget will also still go exgaffer, also nobody is saying let's splash loads of cash but is it really bad of us wanting to see an increase?
IP: Logged
exgaffer Posted on 29/05/2019 14:33

A billionaire owner who won't spend any money

 
Look everybody is at liberty to attend or not as they see fit obviously, it’s a free country.

I was a shareholder and sold my share only when satisfied that we would have an owner who would not jeopardise the club’s future.

One thing is for certain, if fans still owned the club we would be spending far less than we currently are.

As for the ‘I voted against’ stuff, that’s irrelevant, you were outvoted. I know it’s an alien concept on here that the result of a vote should be honoured but this one was [:D].
IP: Logged
Gulf_of_Tonking Posted on 29/05/2019 15:15
Edited On: 29/05/2019 15:37
A billionaire owner who won't spend any money

 
Bill, a mate emailed it from POL - or whatever it is now called.

123, If you had conversations on here with him, you would have realised that he would say negative things against the rotation plan, and often wouldn't answer difficult questions openly about the existing axis option. That said to me at the time he wasn't looking at both options with an open mind, and was the chief reason I never joined the trust working group (I was asked a few times).

Low and behold, when the final trust report came out, you can read between the lines but it is clear that the price difference is very little between the two schemes, and in fact the comparison isn't like for like as the rotation plan shows a slightly bigger capacity of 1000 - which should generally equate to a circa 2 million cost. The report's final costings show £44.5 million (Existing) and £48.8 million (Rotation), whereas an honest report would have deleted/ stated approx 2 million for the rotation plan to give at least an apples for apples comparison of 44.5 to 46.8million for cost reference.


Also, the final capacity for the rotation plan could be much much larger with a bigger East Stand. The report just states 'larger' but it wasn't thoroughly investigated.

Additionally the SE corner could have been shown to be developed, but was left void. This corner was joined up for his preferred option. This again would add to the overall capacity.

Another point was the NE corner was under underdeveloped, which again would lead to more seating.

The last chief point being that the trust report shows the rotation capacity dropping to 17,700 from 20,900 at phase 2B. I stated quite clearly on here that the existing north stand could be clipped at the W corner to allow for elongation of the new West Stand adding circa 3,500 to 4,000 seats meaning no drop in capacity ever.

The last minor point is that with rotation we could get a proper length pitch which could be used for Internationals, or Ladies Internationals and other matches adding extra revenue. Stadiums with a N-S axis for dealing with sun in the eye is also preferred.

All in all, despite the trust report having a lot of info in there, the report is skewed heavily towards the existing axis option, whereas a balanced approach would have clearly shown the rotation is the better overall plan in so many ways, and most of us all realised this beforehand. As we all thought at the time, keeping the existing South Stand was the key driver behind his option, but in fact the rotation plan could keep it as well if required, or just 2/3's of it allowing for more new corner seats. What's not to like?

Link: Final Trust Report
IP: Logged
pfc123 Posted on 29/05/2019 17:47

A billionaire owner who won't spend any money

 
Well GoT, I can do better than talking to him, I WAS on that working group so had we had every opportunity to discuss all the options and we did believe me. We spent hours and hours over the first two meetings going over why the 18 previous sites starting with the old airport didn’t work, and still don’t work now. We ended up back at FP. The whole process was at times almost painfully transparent with the slightest hint of any objection given full rein in terms of discussion. To suggest the whole thing was skewed is absolutely wrong. As for you Ex-Gaffer, what have you ever done for PFC? Nothing, except moan and bitch on here.
IP: Logged
chatter-box Posted on 29/05/2019 19:33

A billionaire owner who won't spend any money

 
Which ever option was chosen would be very exciting. Does Mr Eisner like it?
IP: Logged
Gulf_of_Tonking Posted on 29/05/2019 19:38

A billionaire owner who won't spend any money

 
No slant on you 123, no doubt there was a lot of work undertaken for the final report, and in fact I was quite impressed with it.

However, I maintain the leader of the group has skewed the report to his preferred solution, and you had to read between some of the lines to get the full gist. ie

"Option one offers a more
integrated phasing, compared to the possibility of a three sided stadium in option two" This simply isn't true,

"Option two offers slightly greater capacity". This also simply isn't true, the capacity difference could be substantial.

"Both options would enable the existing character to be maintained, though option
one may be preferred in terms of maintaining the existing orientation of the ground" As I have stated previously, the existing SS could be implemented with an additional section in front of the old stand, thereby even enhancing the old stand. This would be much less expensive with rotation, and together with the bigger capacity with rotation could really improve the old stand. No thoughts on this in the final report.

In addition to the points above. As stated before, loads of questions were asked, but with few being answered.
IP: Logged
Bluenote Posted on 29/05/2019 19:39

A billionaire owner who won't spend any money

 
I was on that working group too and found Mike Saunders to be perfectly open and fair. Can’t understand the animosity to him on here.
IP: Logged
BigSmokeBlue Posted on 29/05/2019 21:44

A billionaire owner who won't spend any money

 
A good point has been raised about the £5m that was promised to PFC as part of the sale to Tornante. Where and how has this been spent thus far? This has been kept very quiet hasn’t it? I am quite surprised that not even the Snooze have covered this yet...you gotta ask why?

I agree entirely with GoT that rotating the pitch 90 degrees provides a far better longer term solution as clearly pointed out. What’s more, this option can design out the biggest constraint of any FP development...the substation behind the North Stand. Retaining the current orientation makes it more difficult - creating an odd shape corner at the very least. What’s more, Option 2 provides an earlier introduction of corporate facilities, which is so desperately needed.

Looking at the phasing plans phases 2a and 2d (construction of new North stand and new North West corner) surely these can be combined as one phase?
IP: Logged
exgaffer Posted on 29/05/2019 21:56

A billionaire owner who won't spend any money

 
I’m not the one bitching and moaning 123, you are 😎.

I’ve been a fan for 60 years and put my money where my mouth is whenever they’ve been in peril, I’m happy with that.

It’s no more than any fan would do.

I respond on here when I see bollox being spouted, which is quite often sadly [8D]
IP: Logged
chatter-box Posted on 29/05/2019 22:09

A billionaire owner who won't spend any money

 
All these plans are great and get the old juices flowing but when is the main man going to go public with his ideas?
IP: Logged
Bluetag Posted on 29/05/2019 22:16

A billionaire owner who won't spend any money

 
Can't believe this thread only needs one more post to reach a ton
IP: Logged
PompeyLor Posted on 29/05/2019 22:23
Edited On: 29/05/2019 22:24
A billionaire owner who won't spend any money

 
I think we should bring back the giant fratton end plan from years back. That's my personal favourite. It would've been the biggest home end in Europe I seem to remember.

And I claim the hundred post with the this utterly irrelevant comment
IP: Logged
CountVonCount Posted on 29/05/2019 22:28

A billionaire owner who won't spend any money

 
It would kill off rotation as well.
IP: Logged
pfc123 Posted on 30/05/2019 08:16

A billionaire owner who won't spend any money

 
Whichever way the ground faces (and personally I prefer the rotate option) the fact of the matter is that apart from a polite acknowledgement of the report from PFC under Tornate, it was ignored. Add the removal of £7M from PFC’s account to Tornate under the very suspect excuse of being able to gain a higher interest rate and you begin to get the feeling that the Eisner's aren’t actually going to invest anything. How does that take us forward compared to The Trust?
IP: Logged
countofmontecristo Posted on 30/05/2019 08:40

A billionaire owner who won't spend any money

 
Is it not obvious to anyone that with the planning permission in to remove floodlights / move a floodlight, that once this is approved ( will be ), then a new up planning application will follow with the
actual plan we have been waiting for, and we all will be excited. But a bit more transparency would help. I believe its coming soon..
IP: Logged
twoteefus Posted on 30/05/2019 09:47

A billionaire owner who won't spend any money

 
GoT - If there is documentary proof to back up that entire Saunders statement then fair enough. Otherwise it's an opinion piece.

I would take the less inflammatory/libellous statements out and put them to the owners the next time there is a fan forum.

But if you were referring to blowing what I said out the water I refute that somewhat. Things have improved year on year. Would that also have happened under trust ownership - impossible to know.

The heaviest investors in the fan owned club were the presidents. Mostly from business backgrounds. Taking out the emotional element, if they truly believed that they stood to make a better return longer term then why not back the fan owned model - most (75%) did not. Or were they dazzled by Disney?

If we start seeing backsliding I agree, we should be concerned, but all I can see is forward movement right now.

There's not much money to be made from a League One club, certainly not for a billionaire, to make the current model attractive. If they were after a quick boom and bust return they would have saddled the club with huge debt, invested in players, got promoted, taken the money and watch it go all to hell like so many have before. See up the road.

I just don't see any of that happening.

I'm sure they are well versed in how to acquire a business and how to sell themselves, be a bit worried if they weren't.

So, crucially, it all comes down to how much we have confidence they will deliver on their promises. Thus far, based on the available evidence, I'd say they are.
IP: Logged
Gulf_of_Tonking Posted on 30/05/2019 15:40

A billionaire owner who won't spend any money

 
Twoteefus,

"and now for the truth which blows your post out of the water". This wart part of what I received via email. It was Mike Saunders comment.

On his comments, I actually think he has got a point about the ground not falling apart, and stated at the time that I thought that ground safety had been exaggerated to help the sale. I certainly wasn't the only one on here.


" The ground has been made good with £2m worth of work in the last two years. £1m of that came from the departing Community Club escrow account - inherited as an asset bought by Tornante.

The ground was not falling apart. I have the structural report that doesn’t say it is. I stood on the stage of the Guildhall after the Eisner’s pitch and explained in detail the misleading information being put forward by some within the club. That ‘news’ that £5m was needed was put out by the CEO of the selling club. Why would you devalue your asset when selling? Easy, because he knew he was on to an earner and would retain his position with a ‘thank you’. In fact PFC wasn’t up for sale until Catlin went courting prospective buyers".
IP: Logged
twoteefus Posted on 30/05/2019 16:06

A billionaire owner who won't spend any money

 
So those are points that could be raised with the club. But the cost to Tornante was fixed was it not, based on the share issue? So maybe spin to garner votes at best, one estimate against another.

And could the CEO go looking for potential suitors without the backing of the board. I seriously doubt that as he's effectively their employee. It's the entire board who are responsible, not just the CEO.

At the presentation both points of view were made and yet despite that the sale went ahead with an overwhelming majority in favour. Someone had to win, they did.

The deal is done. Better to focus on ensuring that Tornante are good to their word in what they said they would do isn't it? And as I've said, thus far we do not appear to have taken a backward step.
IP: Logged
smirnoffexpress Posted on 30/05/2019 18:26

A billionaire owner who won't spend any money

 
GoT, nice to see we have exactly the same thoughts and opinions on Catlin. [:D]
IP: Logged
turktown20 Posted on 30/05/2019 19:00

A billionaire owner who won't spend any money

 
why did they buy us .they don't need the money by the looks of it and they don't seem to want to spend much either
IP: Logged
smirnoffexpress Posted on 30/05/2019 19:24

A billionaire owner who won't spend any money

 
If one was cynical, one could forgiven for thinking that by buying cheap and spending little you could eventually multiply your investment by selling it on at a profit.
IP: Logged
BilltheCat Posted on 30/05/2019 20:27

A billionaire owner who won't spend any money

 
We certainly have not taken a backward step, twoteefus, but all that has been achieved could still have happened under fan ownership.
IP: Logged
pompeysoulboy Posted on 30/05/2019 21:29

A billionaire owner who won't spend any money

 
Fratton Park not falling apart? I’ve never heard anything so ridiculous. You must just turn up at the fratton end and never see anywhere else.
IP: Logged
chatter-box Posted on 30/05/2019 22:22

A billionaire owner who won't spend any money

 
I got to agree with Soulboy.. The North Stand is one of the worst stand I've ever set foot in.

I can't understand why GOT and others keep arguing about whether Eisner is the real deal or not. He owns our club. He's said he'll do the Park up so wind yer necks in and lets see what he does. Too many egos on here imo.
IP: Logged
smirnoffexpress Posted on 30/05/2019 22:30

A billionaire owner who won't spend any money

 
Bill the cat, you and I in total agreement shocker.[:D] I for one did not want a return to private ownership and certainly not on the terms that were accepted, so maybe my views are jaundiced. We had the chance if we were brave enough to break the mould, and let it slip away. But hey ho, what is done is done.
IP: Logged
twoteefus Posted on 30/05/2019 22:41

A billionaire owner who won't spend any money

 
Bill - we can't ever know if the current level could have been achieved ir sustained under fan owned ownership as it never happened. It's just guesswork, not an absolute.
IP: Logged
Gulf_of_Tonking Posted on 30/05/2019 23:25

A billionaire owner who won't spend any money

 
"All these plans are great and get the old juices flowing but when is the main man going to go public with his ideas?"

Chatterbox in Eisner criticism shocker.[8D]
IP: Logged
Gulf_of_Tonking Posted on 01/06/2019 13:38

A billionaire owner who won't spend any money

 
From the Snooze today. This is one of your 3 free articles this week


Mark Catlin: Portsmouth owner Michael Eisner has delivered on his promises

He's one of the world's most famous businessmen. But, nearly two years on from their arrival at Pompey, there's still an element of mystery to Michael Eisner and his Tornante Company.

Yet Blues chief executive Mark Catlin believes what has taken place on and off the pitch at Fratton Park in that time speaks volumes.

Since delivering his sales pitch ahead of sealing a deal to buy the club in 2017, Eisner has spoken to The News on a single occasion.

His son Eric and director Andy Redman have done so a limited number of times, while Anders and Breck Eisner have stayed in the background.

That has left Catlin as the trusted conduit to supporters through Tornante's stewardship.

He feels the progress is evident in their period of ownership. That may not be enough for all supporters, but Catlin believes the owners have made good on the promises which led to community shareholders agreeing to sell.

Catlin said: ‘They are not board members, chairman or directors who are ego-driven at all. They are very comfortable in their own skin and comfortable to employ an executive management team, as in all of their businesses, and support their team but from behind the scenes.

‘They were very keen from the outset to state that, unlike owners of virtually every other club, they weren't going to come in and rip things to pieces.
‘They bought the club because they liked what they saw in regards of the executive management team and our fan base.
‘The last thing they wanted to do was rip up what was already a successful formula and a business which was growing on all fronts.

‘If you look at the financial figures it shows they've done everything they said they would.
‘Whether that's at the pace some fans think we should be progressing is really subjective. In regards of what was promised and what we're doing they've been spot on.’

The rate of Pompey’s progress has been a topic of conversation among fans since the season finished, after narrowly missing out on promotion.

Catlin feels some realism may be needed among some about the good work being carried out and the steps being made.

He added: ‘You don't jump every season into the Premier League. We're taking a view that if we have a few bad years we have the support mechanisms which don't put us into jeopardy.
‘Football can run away with you very quickly financially. We don't want to be in that position again.
‘The second you raise your budget there’s no way back from it. If you go from X to Y million you can't go back to X million. It's a struggle.
‘It's a struggle because players are on commitments of three-year deals. If you throw into the pot bringing in players you can create a disparity in the changing room. You have to be careful to create a solid foundation
‘Our aim next season is to improve on and off the pitch, but if we don't we're not in any trouble. It’s a case of building the sustainability.
‘That is almost unique today in football - but it's the ticket they were voted in on by a huge margin.’
IP: Logged
chatter-box Posted on 01/06/2019 15:19

A billionaire owner who won't spend any money

 
What point are you trying to raise though GOT
IP: Logged
Pedalo_menders Posted on 01/06/2019 15:25

A billionaire owner who won't spend any money

 
If we’re not going to spend the money made last year on the playing squad, I’d like to know where it is going to.

Financially we had a very good year last year. I make it about £12M in revenue so what is being reinvested into the club? Is some being put aside for a development squad? To develop the ground? Beef up the academy?

What’s the Plan Tornante? It should be really easy to put a good spin on how the club has grown... but all we get is the same old “this is what you voted for” b0ll0x from Catlin. Ffs
IP: Logged
BlueView Posted on 01/06/2019 15:33

A billionaire owner who won't spend any money

 
Peterborough have just signed Mo Eisa for £1.5 million.
That’s their 6th signing of the past few weeks.
Obviously they are aiming for promotion nexr season.
Not worried, like us, about reaching the Championship!
IP: Logged
Mancblue Posted on 03/06/2019 08:25

A billionaire owner who won't spend any money

 
And the Bolton fans were baying for Eddie Davies blood for years, positively hated him..... despite all he did .....awful fans when you can find them.... let’s not go down that path.....we would all like to see a myriad of things done now! But step by step eh...... I live in Bury work in Bolton and its a stark reminder of where we were.......Kenny’s target This season was play offs , done ! And we won a cup too, yeah I’m disappointed how it ended , but all round was a positive season and I really enjoyed going to the games all year.....and div 1 is great for me it’s all up north !!!
IP: Logged
Isaac-Hunt Posted on 03/06/2019 09:09

A billionaire owner who won't spend any money

 
What do you think next seasons target should be then Manc ?
IP: Logged
bpay123 Posted on 03/06/2019 10:09

A billionaire owner who won't spend any money

 
Too right manc, KJ is doing a brilliant job.
People really are dissulussional to f**k and seemd to have really short memories about what happened in the past
IP: Logged
Mancblue Posted on 03/06/2019 10:35

A billionaire owner who won't spend any money

 
Has to be automatic, it’s the next logical step, Kenny’s no fool and has learnt enough about the league and his squad to do it I feel....hopefully there’ll be no repeat of the shocking / unlucky transfer business in January either , many of our squad have really come on lest season and don’t underestimate the positive effect the checkatrade will have moving forward.....league one will be the division to watch this year.....with (at least)two teams getting points deductions Bolton -15at least, Bury -15 probably and maybe more....means that teams are more likely to play a more attacking style with the fear of relegation being a bit diminished......if we stay calm and keep on keeping on we’ll be ok .... still needs 4 more , but he knows more than me and generally gets it right, PUP
IP: Logged
Isaac-Hunt Posted on 03/06/2019 10:47

A billionaire owner who won't spend any money

 
Thank you Manc.That surely must be the aim,even the Eisners are intimating that Cannot understand the likes of Bpay always spouting on about the past and short memories
A few bob(not money spunked) spent to get us automatic promotion next season will in no way result in administration.
IP: Logged
bpay123 Posted on 03/06/2019 11:21

A billionaire owner who won't spend any money

 
But why can not many people see that things are being done correctly and we are building very well.
2 seasons in L1 and everyone wants us to go bezerk.
IP: Logged
Bluetag Posted on 03/06/2019 12:11

A billionaire owner who won't spend any money

 
We are where we are for a reason, not good enough to get promoted but good enough to challenge. KJ knows this so hopefully with some fine tuning and decent transfer buys (not loans) in the areas that need strengthening we should be good enough to get promotion (hopefully automatic) this coming season. That said i really hope we start to play entertaining and exciting (and still be successful) football, as the last two season the footballing skill/tactics on display has been poor/average.
IP: Logged
Gulf_of_Tonking Posted on 03/06/2019 19:38

A billionaire owner who won't spend any money

 
My concern for Jackett is that more managers will have worked out how to play against him. He reminds me of a low-grade Mourinho who is sticking to outdated football where all around him younger managers are starting to put together a more expansive game.
IP: Logged
CountVonCount Posted on 03/06/2019 20:22

A billionaire owner who won't spend any money

 
The Eisner don’t run hippy communes. Kenny will be expected to improve the team and results.
IP: Logged
pfc123 Posted on 08/06/2019 11:29

A billionaire owner who won't spend any money

 
From The News' interview with Mark Catlin today: "why don't X club [Pompey] invest in League One to get into the Championship?”

‘It's not an investment. It's the only business in the world where you're investing to lose more money - that's a contradiction.

‘An investment is to put something in to get more out.

‘A lot of owners are ego-driven. It's for their own ego they want to drive success and they are prepared to put the club at risk in trying to do that – we are not.’

Think we have it clearly laid out now. They're not interested in promotion as it's too expensive in their eyes. They're not interested in real investment in the ground for the same reason, as clearly evidenced by the TV gantry application- they're not going to turn the old girl around which is what she so desperately needs to grow.

So we're going to have a nice little League One club with a bit of new paint here and there and if we're very lucky a refurbished (not new mind) Milton End at some point in the future. Great, many will say- but we could have had all of this under The Trust, and still be fan owned.

When you add the pretty boring, sterile style of play we've seen in the last two seasons the whole 'package' is looking a bit thin in terms of attractiveness. For those happy to bump along in the wilderness of L1 it's great I guess. But to not even want to try for the Championship and see if we might be able to stay up on a sustainable budget a la Burton, Rotherham, Brentford etc is criminal, it really is. We're really not even going to try.
IP: Logged
exgaffer Posted on 08/06/2019 11:48

A billionaire owner who won't spend any money

 
‘We could have had all this under the Trust’.

[:D][:D][:D][:D][:D]

Delusional.
IP: Logged
pfc123 Posted on 08/06/2019 12:10

A billionaire owner who won't spend any money

 
Is that the best you can do, I mean really? No facts, no figures, just the usual dismissive abuse.
IP: Logged
BilltheCat Posted on 08/06/2019 12:27

A billionaire owner who won't spend any money

 
pfc123 [^]

Been saying this since the buyout. Too many bought Catlin's lies, sadly.
IP: Logged
wonderwhy Posted on 08/06/2019 12:35

A billionaire owner who won't spend any money

 
should of had a buyback clause
IP: Logged
Gulf_of_Tonking Posted on 08/06/2019 13:37

A billionaire owner who won't spend any money

 
This from the Snooze on Thursday. Catlin is asking for help.

Pompey voice stadium concerns with move from Fratton still on table


Pompey have called for help from the community to stop the Fratton stadium dream turning into a nightmare.

Chief executive Mark Catlin has admitted the Blues may have to reconsider their plans if the help doesn’t appear and look at binning their home's regeneration project if the current difficulties continue.

Catlin explained much of the planned development work has hit a brick wall, as progress becomes beset by difficulties.

Owner Michael Eisner’s preference to remain at PO4 is well known, but Catlin feels that unless backing is given alternatives will need to be brought on to the agenda.

He said: ‘We are at a stage where we've got a lot of the jigsaw puzzle in place - but it’s not just about us.

‘There's local residents, local businesses and the local council.

‘There's so many hoops to jump through to start the work you want to get on with.

‘As Michael, the board and myself would be keen to point out we are going to require some give and take.

‘That's from the council, local residents and local businesses, although I can't elaborate on that.

‘We've always said our desire is to stay at Fratton Park, but unless we can get that help and those assurances we are going to be hemmed in forever.

‘As Michael has said, the option to move from Fratton Park remains very much on the agenda.

‘If we can't get the help and assistance we need at Fratton those options are on the table. I want to stress that.

‘Michael loves Fratton Park. We all do.

‘But logistically and operationally it's a nightmare to look at in its current state.

‘And it becomes even more of a nightmare the more you look at solutions to add capacity to get people in.

‘Contingencies to leave Fratton Park have never left the table.

‘That’s not what we want, but it may prove the case to progress the club.’

Work is continuing on the South Stand this summer while there’s plans for the ground's iconic floodlights to be removed, with one transferred to the North Stand car park.

Pompey’s latest accounts show £1.2m invested in the club's home in the last financial year, with Catlin previously stating around £1m-a-year is needed to see the ground fulfil health and safety requirements – a figure which is proving to be accurate.

The chief executive feels that shows the club's commitment to Fratton Park - but support is needed.

He added: ‘Michael loves it here and we will continue to address the health and safety and regulatory issues.

‘There are other projects in the pipeline, too.

‘As a board and executive team we know what the plans are and we're very excited about them.

‘But we’re at a stage where many things are outside of our hands

‘We can’t start until all the various boxes are ticked unfortunately.

‘To meet the ambitions of Pompey fans at Fratton Park was always going to be a tough ask.

‘We can do that, but we need help and assistance. I stress that again.

‘We need from the local council, local businesses and local residents to get on board with us to turn our plans into reality.’
IP: Logged
exgaffer Posted on 08/06/2019 15:17

A billionaire owner who won't spend any money

 
Well I had shares pfc and the reason we sold up was because we didn't have the money even to keep parts of the Park open, let alone improve it AND buy players AND pay their wages.

Is that factual enough for you?

As I said, delusional.
IP: Logged
pfc123 Posted on 08/06/2019 19:09
Edited On: 08/06/2019 19:12
A billionaire owner who won't spend any money

 
Which just shows how easily taken in you are- all the work that needed doing to FP was labelled Red, Amber and Green in terms of urgency. The red stuff that needed to be done to keep the place open was fully budgeted for under the Trust. What happened was that ALL of the work, whether it was urgent, non-urgent or just nice to do, was suddenly painted red and we instantly had a manufactured crisis that could only be cured by a takeover by the Eisner's. It was a con, plain and simple, to frighten people into thinking we weren’t going to be able to keep the club going under Trust ownership. Most of us bought it. Many of us are now seeing through it. The penny hasn’t dropped for you yet clearly.
IP: Logged
chatter-box Posted on 08/06/2019 19:34

A billionaire owner who won't spend any money

 

Why do you think a very rich, fairly famous American would actually want to buy Pompey. Just why would he bother buying us if he didn't have ambitions for us.

I just don't get why he'd bother. Please tell me PFC123
IP: Logged
exgaffer Posted on 08/06/2019 22:05

A billionaire owner who won't spend any money

 
Ah, not just delusional but a delusional conspiracy theorist to boot.

‘Many of us are now seeing through this’, faf. That would be the other people who also think the Earth is flat and that we never went to the Moon and that Diana is not dead then [xx(].
IP: Logged
CountVonCount Posted on 08/06/2019 22:21

A billionaire owner who won't spend any money

 
Gaffer - those conspiracy theories - that’s most of this board [|)]
IP: Logged
Bluenote Posted on 08/06/2019 22:46

A billionaire owner who won't spend any money

 
Diana’s dead!? Flippin heck - when did that happen?
IP: Logged
BilltheCat Posted on 09/06/2019 00:04

A billionaire owner who won't spend any money

 
"Why do you think a very rich, fairly famous American would actually want to buy Pompey"

Because he or his family will make money when we are sold on.

As far as I can see Tornante has deep pockets and short arms. With the various cup runs, League success and potential income from the sale of assets KJ should have a decent war-chest at Division Three level.

I'm expecting very little expenditure. And if Bogle is the answer then we're asking the wrong fVcking question!
IP: Logged
chatter-box Posted on 09/06/2019 03:20

A billionaire owner who won't spend any money

 
I don't believe thats the reason he bought us. There's better places to invest than a div one club with a XXXXXXe ground.
IP: Logged
wonderwhy Posted on 09/06/2019 04:30

A billionaire owner who won't spend any money

 
I don't believe thats the reason he bought us. There's better places to invest than a div one club with a XXXXXXe ground.
not with 18000 gates and for 5million
IP: Logged
Isaac-Hunt Posted on 09/06/2019 07:52

A billionaire owner who won't spend any money

 

‘We need from the local council, local businesses and local residents to get on board with us to turn our plans into reality.’

How can these people help if they don't know what it is they are being asked to help with.?
IP: Logged
Gulf_of_Tonking Posted on 09/06/2019 12:02
Edited On: 09/06/2019 14:46
A billionaire owner who won't spend any money

 
My assumption is that the residents and local businesses know what they are, so this news should come out. Eisner obviously likes to get on with things quietly - but when you have a club who have had so little infrastructure progress over the last half a century - it wears thin very quickly - when promises have been given - and I don't think this penny has dropped yet for Catlin or Eisner.

If the summer doesn't yield much, the screams will just get louder and louder.
IP: Logged
Isaac-Hunt Posted on 09/06/2019 13:31

A billionaire owner who won't spend any money

 
What do you think the Council bit is ? Planning applications,Compulsary purchases ?
IP: Logged
Gulf_of_Tonking Posted on 09/06/2019 14:56

A billionaire owner who won't spend any money

 
Who knows, it could be a comprehensive traffic management plan to increase the overall capacity allowance at the stadium, or the council ensuring B&Q move off their plot by a certain time, or the purchase of the unused B&Q car park.

I am starting to think that there is a third possibility at Fratton Park, namely the stadium gets turned into a training pitch, and a brand new stadium is built on Anson Road or the B&Q site. If it is the former then the petrol station adjacent to Anson road has to be relocated, and the Tesco goods delivery road needs re-directing to Fratton Way - meaning planning requirements and probable delays for alternatives to be found. I thought the wonderful Donna Jones was helping them with the hurdles though.

IP: Logged
Isaac-Hunt Posted on 09/06/2019 15:48

A billionaire owner who won't spend any money

 
Interesting stuff.
Are B and |Q quitting,or thinking of quitting ?
IP: Logged
blueshark Posted on 09/06/2019 16:26

A billionaire owner who won't spend any money

 
Isaac, meant to be closing a string of the larger Depot stores. One in the Fratton Centre, one in between Waterlooville & Havant. Good chance one of those will go IMO.
IP: Logged
Isaac-Hunt Posted on 09/06/2019 16:46

A billionaire owner who won't spend any money

 
Cheers Blueshark.
AIS interesting times.
IP: Logged
Gulf_of_Tonking Posted on 11/06/2019 15:32

A billionaire owner who won't spend any money

 
Just reading that new gantry link gain. This info has come from the club, and I may have missed the key bit first time I read it.

"While there is no solid design in place of how the stadium should be expanded, it's clear that it has to grow. In order to do that, concessions would have to be made by local council, residents and businesses, not even mentioning improvement of overall transport network to the stadium. The latter would include both roads, pedestrian access and the Fratton rail station".

So the club leaders are saying that there is 'no solid design' in place. Yet, the club are very eager to keep the south stand fully functioning - but there's "no room to expand this part of the stadium, with houses placed just behind the stand". Anyone looking at the south stand can see very clearly that it can very simply be expanded with a new front lower tier, with the pitch being northwards - so why have they put this statement out?

Anyone can also see that a rotation plan will yield a much larger capacity than keeping the E_W alignment - but the half noises coming from those apparently ITK are saying this won't happen.

The cost of building new stands will be far cheaper than reconstituting old, so I wonder if a new stadium will be inside the old Fratton Goods yard - but not on the current site.

Option 1 - New stadium around Anson Rd/ Rodney Rd, Tesco garage to be moved and goods delivery road to be re-directed, with possible retention of FP as a training pitch

Option 2 - Tesco moves to B&Q site, Stadium is moved slightly north and west, or rotated - and FP can be kept as a training pitch.

Option 3 - Pompey move to Tesco site, with possible retention of FP as a training pitch




Link: new South Stand Roof - yippee
IP: Logged
Pedalo_menders Posted on 11/06/2019 16:08

A billionaire owner who won't spend any money

 
Interesting, thanks Gulf. I’m not sure Fratton Park would be kept as a training pitch in any of those scenarios as the land is just far too valuable not to be built on.

Wonder if we’ll all still be going round in circles this time next year? Looks like we a still nowhere nearer having a Plan of action to be executed.
IP: Logged
Gulf_of_Tonking Posted on 11/06/2019 16:18

A billionaire owner who won't spend any money

 
I don't think it is allowed to be used for housing under the current city plan.
IP: Logged
chatter-box Posted on 11/06/2019 18:57

A billionaire owner who won't spend any money

 
Hey Gulf...how did you post that link?
IP: Logged
Gulf_of_Tonking Posted on 11/06/2019 23:24

A billionaire owner who won't spend any money

 
Yes, it's on the other thread.

Went down to the park today. Looks like a new giant screen will be going on the Milton. North corner. I assume the ME screen will be moved.

They are also digging up the car park foundations a little away from the Anson Road entrance and back near the corner of the FE/ North. Can't think what this is for - as it can't be rotation because Archibald says that won't be happening.
IP: Logged
Isaac-Hunt Posted on 12/06/2019 07:40

A billionaire owner who won't spend any money

 
Floodlight presumably
IP: Logged
Gulf_of_Tonking Posted on 12/06/2019 17:07
Edited On: 12/06/2019 17:22
A billionaire owner who won't spend any money

 
Maybe, seems a bit low though.


EDIT: From the Snooze today
"Here is a glimpse at work being undertaken at Fratton Park during the close season.

Pompey’s 119-year-old home is the subject of redevelopment ahead of the 2019-20 League One campaign.

This includes the laying of a new semi-artificial pitch, improving the structure of the South stand and the removal of the ground’s four floodlight pylons.

Pompey remain tight-lipped over the exact details of the blueprint behind their Fratton Park ambition as Tornante prepare to stay at a venue opened in August 1899.

Regardless of aspirations for the future, work is continuing to bring the old ground up to scratch in the present, as these photographs demonstrate.

Starting with the South stand, a new roof has been under construction for several months, with cladding also applied at the stand’s back to prevent rain leaking through on match days.

In addition, the steelwork has been stripped back, treated and repainted with the purpose of saving on long-term maintenance of the 93-year-old structure.

Meanwhile, new stanchions are being applied to the South stand roof to replace the existing floodlight pylons situated in each corner of the ground.

As previously reported, Pompey have received planning permission to relocate the floodlight from the north-west corner.

That will instead be situated in the far corner of the North stand car park, although will no longer be illuminated.

The remaining three pylons will be removed, with lighting instead to be fulfilled by illuminations fixed to the South stand roof.

As it stands, the other Fratton Park work taking place centres on the relaying of the playing surface.

Previously a grass pitch, this will become semi-artificial, providing artificial turf underneath the grass surface.

The procedure, which is common among Premier League and Championship clubs, is regarded as a means of countering the cutting up of pitches.

Pompey have requested the opening game of the forthcoming campaign, to be played on Saturday, August 3, is switched away from Fratton Park.

That is to allow the ongoing Fratton Park redevelopment more time to be completed".



No capacity increase then!







IP: Logged
Gulf_of_Tonking Posted on 26/07/2019 14:29

A billionaire owner who won't spend any money

 
Seriously, the new floodlights look amazing. I can't wait to see them during a match.
IP: Logged
linvoyblackjesus Posted on 26/07/2019 14:31

A billionaire owner who won't spend any money

 
I think the Marcus Harness transfer finally puts this one to bed
IP: Logged
Gulf_of_Tonking Posted on 26/07/2019 14:33

A billionaire owner who won't spend any money

 
Just under a million I hear Norse
IP: Logged
jim2383 Posted on 26/07/2019 15:00

A billionaire owner who won't spend any money

 
Let's see if he is any good..if he's not,we can accuse them of wasting money
IP: Logged
linvoyblackjesus Posted on 09/08/2019 08:48

A billionaire owner who won't spend any money

 
This didn't age well
IP: Logged
Gulf_of_Tonking Posted on 12/08/2019 16:09

A billionaire owner who won't spend any money

 
How much money have they received for players, and how much have they spent on players and the stadium?
IP: Logged
foreverblue62 Posted on 12/08/2019 16:33

A billionaire owner who won't spend any money

 
Let's hope they spent slightly less on players and ground upgrade than they got in for transfers. That would make them excellent businessmen and owners taking the club forward step-by-step whilst still making a small profit.
IP: Logged
Isaac-Hunt Posted on 12/08/2019 18:24

A billionaire owner who won't spend any money

 
What about ticket sales and sponsorship ?
IP: Logged
pfc_blues Posted on 12/08/2019 19:34

A billionaire owner who won't spend any money

 
Someone who I work with claimed the other day they didn't really spend money because its only what we got in from sales. Going by that theory we'd have had to have spent about £9m on players this summer to have 'spent' any money!
IP: Logged
pfc123 Posted on 12/08/2019 21:01

A billionaire owner who won't spend any money

 
'This didn't age well'. Really? He STILL hasn't spent any of his own money other than buying the club at a knockdown price in the first place. He's also taken back the remainder of the 10m he promised to invest in the club into Tornate's coffers on a pretty flimsy excuse of being able to get a higher interest rate on it elsewhere. If you actually intended to spend it on the club, why would you be bothered about what interest it can earn?

One win against a Tranmere side who are clearly going to struggle to stay in League One and everyone thinks we're being run by world beating geniuses! How are we better off than under The Trust?
IP: Logged
BilltheCat Posted on 12/08/2019 23:55

A billionaire owner who won't spend any money

 
We're not.
IP: Logged
cunninglinguist Posted on 13/08/2019 05:56

A billionaire owner who won't spend any money

 
Have just watched the interview with him.

I like him and his ethos. I'm quite happy having him at the helm. Our club in safe hands.

Steady progress.
IP: Logged
Dinksy Posted on 13/08/2019 07:06

A billionaire owner who won't spend any money

 
Yeah, we are in good hands........although I wish he would stop calling us 'Poppy'
IP: Logged
exgaffer Posted on 13/08/2019 08:43

A billionaire owner who won't spend any money

 
Yes I watched that interview, Eisner was very impressive.

He knows what he’s talking about from a sport and business point of view and we are in very good hands.

My only slight worry is his age, there’s no guarantee that his family will take the same view when he gives up control.

Here’s hoping they do.

Eric seems to be cut from the same cloth, so it looks like the future is bright.
IP: Logged
chatter-box Posted on 13/08/2019 10:36

A billionaire owner who won't spend any money

 
He doesn't give out much info about FP though. They must have plans by now if they're serious.I don't like the silence.
IP: Logged
Dinksy Posted on 13/08/2019 10:47

A billionaire owner who won't spend any money

 
I think the signals are pretty clear: we're staying where we are. He likes the hertitage that comes with the original ground, hates the new plastic, spiritless stadiums (I think he got most of that from St Marys), he talked about getting the infrastructure right - certainly getting a rail link to the ground is no short-term plan and about how he felt the council were onside with where the new owners are coming from. Meanwhile, moving the light pylons opens the way to increasing capacity. A lot of ticked boxes.
If he were a charlatan, he would probably already be in negotiations to sell the ground to some property development group with a view to selling the club and pocketing the profit when that was done. He clearly has no plans to sell anything in the near future.
I'm telling you, long-term this guy is going to be better than Mandaric.
IP: Logged
Gulf_of_Tonking Posted on 13/08/2019 12:15

A billionaire owner who won't spend any money

 
Watching that interview, the stadium issues as some thought has transport infrastructure that needs improving - ie a new rail bridge accessed via Dickenson road or the National Rail owned link road that adjoins Goldsmith avenue.

It appears that what Eisner is saying is that they won't finalise their stadium plans until the current transport travel ceiling for Fratton Park can be raised. I always thought this was 32k - but some say it is 28k. Regardless, the current limit has probably already been raised through the extra trains that now operate into Portsmouth.

How long will they have to wait for National Rail to confirm they will build a new rail bridge at Fratton Station. My experience of NR says that this could take a while.

The good news is that we will almost certainly getting at least a 30k stadium at Fratton Park. The not so good news is that this might take 5 or 10 years - or even longer.
IP: Logged
foreverblue62 Posted on 13/08/2019 13:22

A billionaire owner who won't spend any money

 
Unless some people want us to go down the road to oblivion that we followed before then I can't see much to complain about so far. I think everyone accepts the Trust couldn't have taken us into the Championship and the offer from Tornante was then or never. Step-by-step improvement is ok for most I would have thought.
IP: Logged
BilltheCat Posted on 13/08/2019 17:10

A billionaire owner who won't spend any money

 
"everyone accepts the Trust couldn't have taken us into the Championship"

Actually a great many believed in community ownership (and still do). But we were outvoted.
IP: Logged
exgaffer Posted on 13/08/2019 17:29

A billionaire owner who won't spend any money

 
You were outvoted because the evidence was against you, we simply didn’t have enough money and there was no prospect of getting it.

A lot of people believe in Socialism too but that never works either.

We are in a MUCH better place than we were and the future looks bright.
IP: Logged
Gulf_of_Tonking Posted on 13/08/2019 18:02

A billionaire owner who won't spend any money

 
Does that evidence include the news that all of a sudden just before the Eisners bought the club that FP needed £5 million or more spending on it just to make it safe, when there was an independent report stating that the figure was £1 million or less?

A lot of fans are quite happy with the take-over, and still are, but lets not completely re-write history.


IP: Logged
exgaffer Posted on 14/08/2019 10:55

A billionaire owner who won't spend any money

 
Well you’re the expert on history re-writes Gulf 😁.

The 5 million you refer to was over a period of time Gulf, not immediately.

We didn’t have the money, end of.

If we HAD the money we would have carried on in fan ownership. I wanted to stay as we were but, listening to both sides of the argument, it was a no brainer to sell.

I liked having a share and it was a wrench selling it, but selling was the only option if the club was to have a meaningful future.
IP: Logged
Gulf_of_Tonking Posted on 14/08/2019 13:06

A billionaire owner who won't spend any money

 
From the Snooze on 30th March 2017 - then another article just over a month later


MARK CATLIN has admitted summer restoration work at Fratton Park has become Pompey’s priority.

Heavy structural repairs are required during forthcoming years to the 118-year-old ground.

“While I won’t go into the figures, it’s obvious to everyone work needs to take place over the coming weeks, months and years. It’s nothing new, it has been the same over the last four seasons. Fratton Park is an old stadium”

It is understood that entails extensive work to the foundations and structure of the Blues’ home, including steelwork, concrete and beams.

In yesterday’s News, Trust board member Mike Saunders highlighted the extent of the problems facing Fratton.

And Catlin has reiterated stadium improvements will remain a focus for the club.

The Blues’ chief executive said: ‘Making Fratton Park safe and secure is in all cases the priority.

‘It has, and always will, come before everything; forget playing budgets, forget salaries, forget rates and bills, forget minimum wages, forget pensions – stadium safety and security is priority number one by a mile.

‘Football results don’t count for anything if there was ever an incident at Fratton Park. We would never compromise, stadium safety and security comes before everything

‘While I won’t go into the figures, it’s obvious to everyone work needs to take place over the coming weeks, months and years.

‘It’s nothing new, it has been the same over the last four seasons. Fratton Park is an old stadium.

‘Safety should concern everyone associated with each and every football club, this is our home and, as a board, we accept that responsibility.

‘You can put remedies in place should work need to be undertaken, it doesn’t always have to be serious, but what is important is to understand that this is the priority.

‘I would deem CCTV, floodlights, sprinkler systems, etc, as soft infrastructure.

‘The big-ticket items are what I would deem as hard infrastructure projects which, as with all ageing stadiums, will obviously need doing at some point, not all now, but obviously at some point in the future.

‘It is all in hand and something we are fully focused on.’

Work is anticipated to run into the millions over a period which could last up to five summers.

Under community ownership, more than £2m has already been spent on ground improvements since April 2013.

Although Catlin would not be drawn on revealing cost figures for the required further work.

He added: ‘The stadium scenario we now find ourselves in is effectively the same one we inherited.

‘A year to a year-and-a-half ago we openly said we had commissioned a report into the stadium and its future.

‘That report is a moving, evolving process. As in all reports, things can change over time.

‘The budget and pricing side of it can only really be finally nailed down when you actually get into the nitty-gritty.’



History can be re-written of course - but these two articles clearly show how the repair work all of a sudden became a potential closure incident. Any particular reason for this?


Link: £4.1M To Avoid Closure Of Fratton Park
IP: Logged
chatter-box Posted on 14/08/2019 13:49

A billionaire owner who won't spend any money

 
Gulf why don't you open the link I posted under ME. Listen to it and then wait and see if what he says happens. I'm confident he's the best thing to ever happen to Pompey
IP: Logged
Gulf_of_Tonking Posted on 14/08/2019 13:51

A billionaire owner who won't spend any money

 
I listened to it yesterday and made comment on it. What a strange person you are[8D]

I don't mind Eisner - but let's not overlook how the take-over was managed by Catlin.
IP: Logged
chatter-box Posted on 14/08/2019 13:57

A billionaire owner who won't spend any money

 
well it's a good thing that Catlin did manage the takeover. He's got us a top class owner
IP: Logged
Gulf_of_Tonking Posted on 14/08/2019 14:19

A billionaire owner who won't spend any money

 
But that's the whole problem. You now some fans who realise that the whole thing was managed in the favour of the new owner such that when things aren't happening quick enough for some of them ie now, a growing minority will look back and think some of the majority were conned. The whole debate should have been seen to be an even playing field including the Trust should have been given the same platform as Eisner at the Guildhall - and I mean giving them the same radio audience.

I had reservations about the Trust btw - but the debate wasn't even - and the stadium 'issues' were discussed by the Trust at the Guildhall - but a huge chunk of the supporters didn't get a chance to listen to their POV.
IP: Logged
exgaffer Posted on 14/08/2019 14:44

A billionaire owner who won't spend any money

 
Gulf, if you actually read the article it specifically says the work is required ‘over the next 5 years’.

It didn’t suddenly become an issue, the Trust knew about it.

Also, as I recall the Trust were present at the Guildhall giving their take on things. They were also very well represented in the media on the sibject.

Why construct conspiracy theories?

We have a very good owner and he has so far lived up to everything he said. He seems like a man of integrity and is more transparent than he actually needs to be. The work on the ground is being done, the club is progressing well and I can’t see a thing to complain about.

Except the speed of service st the outlets, but I think that’s just a cultural thing 😎.
IP: Logged
Isaac-Hunt Posted on 14/08/2019 14:50

A billionaire owner who won't spend any money

 
Bit like brexit then Gulf
IP: Logged
chatter-box Posted on 14/08/2019 15:14

A billionaire owner who won't spend any money

 
Very well put gaffer.

ME seems to have some great ideas. Not sure what he's after from the railway though. It does sound like the council are playing ball with us. Obviously time will be the decider but he seems a man with morals and high standards
IP: Logged
Gulf_of_Tonking Posted on 14/08/2019 15:40

A billionaire owner who won't spend any money

 
Gaffer, people often don't have time to digest the material within properly - and just remember the headlines.

These headlines were all over the media just 24 hours before the Guildhall presentation. Who was pushing this agenda?

Just a month earlier from Catlin
"It’s nothing new, it has been the same over the last four seasons. Fratton Park is an old stadium".

If you still can't see that this was stage managed - then I can't help you.


Chatterbox - the brideg and likely roads are discussed further up this thread.


Link: £4.1m to avoid sanctions - sky sports
IP: Logged
pfc123 Posted on 18/09/2019 11:35

A billionaire owner who won't spend any money

 
Just re-read my initial post. Nothing’s changed my mind and the lack of any real action off the pitch and performances on it like the last two home league games reinforce the opinion I had in May.
IP: Logged
Previous Thread  |  Start New Thread  |  Top Of Board  |  Top Of Thread  |  Next Thread



Home  |Message Board  |  Top of Board  |  Login  |  Register


Copyright © 2008 to 2019 Fansonline.net Ltd

FansOnline.net Ltd
Unit 7
Brentnall Center
Gilkes Street
Middlesbrough
Cleveland
TS1 5AP
Fansonline Home | About Fansonline | Contact Fansonline | Advertise On Fansonline | Privacy Policy | TOS
10.0.166.213